WordPress.org

Ready to get started?Download WordPress

Forums

xampp and wordpress (4 posts)

  1. xmatter
    Member
    Posted 3 years ago #

    I am pretty technical and have built several hosted wordpress based sites, but i do have a question about local hosted sites.

    I have a company intranet using WP and XAMPP. I have recently tried updating XAMPP but i get an error trying to start the Apache and MySQL services.

    So... what i want to do is export the MySQL database and copy my custom theme to a safe location, then delete the entire XAMPP folder, then reinstall XAMPP with the latest version, then import the database and drop in theme in the wp- folder.

    The question is... would this work?

  2. cubecolour
    ɹoʇɐɹǝpoɯ
    Posted 3 years ago #

    You can't export from mysql if it isn't running as the management app you use (such as PHPmyAdmin) won't be able to connect to the db.

    what OS are you using & what's the text of the error? perhaps someone has encountered it before

  3. xmatter
    Member
    Posted 3 years ago #

    I am using Windows Server 2003 and the error is:

    XAMPP Component Status Check failure [4]. Current directory: d:\xampp
    Run this program only from your XAMPP root directory.

    I have read online for solutions and one of them was... to use the .zip rather than the .exe. I have tried that and nothing!

    I could export the sql db and then when i reinstall, could i not just set the "root" password the same as the exported db, and then import?

  4. xmatter
    Member
    Posted 3 years ago #

    So i believe i resolved this myself. I exported the SQL and copied the wordpress folder (which where wordpress was installed and where the current site has been running from).

    I then deleted the xampp folder on the server, installed the updated xampp software, and imported my SQL backup. I created a user through xampp and match the old sql db, then moved my wordpress folder within the htcdocs folder.

    worked like a charm!

    Again, this was all done because i could not upgrade to the latest version of xampp without getting errors.

Topic Closed

This topic has been closed to new replies.

About this Topic